#include"TcPch.h"
#pragma hdrstop
#include"IoMFM.h"
#include"DEVICE.h"
#include"debug.h"
IoMFM::IoMFM(const char* className,const char* name,const char* module):BaseDevice(className, name, module){
}
//AUTOIO_BEGIN
IoMFM* _initMFM16_0(){
	static IoMFM staticMFM16("IoMFM","MFM16",MODULE_NAME);
	IoMFM::poMFM16=&staticMFM16;
	IoMFM* dev=&staticMFM16;
	strcpy(dev->id,"MFM16");
	strcpy(dev->display,"MFM16");
	strcpy(dev->schematicId,"MFM16");
	strcpy(dev->unit,"sccm");
	dev->aiFlow.create("aiFlow",&AI->MFM16_PV,"AI.MFM16_PV",TRUE);
	strcpy(dev->aioType,"float");
	strcpy(dev->scBasePath,"PM1.MFM");
	return dev;
}
IoMFM* _initMFM57_0(){
	static IoMFM staticMFM57("IoMFM","MFM57",MODULE_NAME);
	IoMFM::poMFM57=&staticMFM57;
	IoMFM* dev=&staticMFM57;
	strcpy(dev->id,"MFM57");
	strcpy(dev->display,"MFM57");
	strcpy(dev->schematicId,"MFM57");
	strcpy(dev->unit,"sccm");
	dev->aiFlow.create("aiFlow",&AI->MFM57_PV,"AI.MFM57_PV",TRUE);
	strcpy(dev->aioType,"float");
	strcpy(dev->scBasePath,"PM1.MFM");
	return dev;
}
void initIoMFM(){
	IoMFM* dev;
	dev=_initMFM16_0();
	dev=_initMFM57_0();
}
IoMFM* IoMFM::poMFM16=NULL;
IoMFM* IoMFM::poMFM57=NULL;
//AUTOIO_END
